version: '3.7'

services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    image: simple_app
    container_name: simple_app
    networks:
      - app-network

  webserver:
    image: nginx:mainline-alpine
    container_name: webserver
    ports:
      - "80:80"
    volumes:
      - ./nginx-node.conf:/etc/nginx/conf.d/default.conf
    depends_on:
      - app
    networks:
      - app-network

networks:
  app-network:
    driver: bridge
